# Class Configuration#clearCache

Configuration

- Defined in: configuration.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Configuration#clearCache(successCallback, errorCallback) Clears the cache data on signage monitor.

## Class Detail

Configuration#clearCache(successCallback, errorCallback)
Clears the cache data on signage monitor.

    // Javascript code
    function clearCache () {
      function successCb() {
         console.log("clearCache success : ");
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var configuration = new Configuration();
      configuration.clearCache(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.3